## haproxy 1.5.8

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os ARCH=arch CPU=cpu USE_xxx=1 ...
#
# Valid USE_* options are the following. Most of them are automatically set by
# the TARGET, others have to be explictly specified :
#   USE_CTTPROXY         : enable CTTPROXY on Linux (needs kernel patch).
#   USE_DLMALLOC         : enable use of dlmalloc (see DLMALLOC_SRC)
#   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
#   USE_GETSOCKNAME      : enable getsockname() on Linux 2.2. Automatic.
#   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
#   USE_MY_EPOLL         : redefine epoll_* syscalls. Automatic.
#   USE_MY_SPLICE        : redefine the splice syscall if build fails without.
#   USE_NETFILTER        : enable netfilter on Linux. Automatic.
#   USE_PCRE             : enable use of libpcre for regex. Recommended.
#   USE_PCRE_JIT         : enable JIT for faster regex on libpcre >= 8.32
#   USE_POLL             : enable poll(). Automatic.
#   USE_PRIVATE_CACHE    : disable shared memory cache of ssl sessions.
#   USE_PTHREAD_PSHARED  : enable pthread process shared mutex on sslcache.
#   USE_REGPARM          : enable regparm optimization. Recommended on x86.
#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
#   USE_TPROXY           : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
#   USE_LIBCRYPT         : enable crypted passwords using -lcrypt
#   USE_CRYPT_H          : set it if your system requires including crypt.h
#   USE_VSYSCALL         : enable vsyscall on Linux x86, bypassing libc
#   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
#   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
#   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
#   USE_MY_ACCEPT4       : use own implemention of accept4() if glibc < 2.10.
#   USE_ZLIB             : enable zlib library support.
#   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string).
#
# Variables useful for packagers :
#   CC is set to "gcc" by default and is used for compilation only.
#   LD is set to "gcc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools. By
#           default on Linux 2.6+, it contains "haproxy-systemd-wrapper".
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#
# Other variables :
#   DLMALLOC_SRC   : build with dlmalloc, indicate the location of dlmalloc.c.
#   DLMALLOC_THRES : should match PAGE_SIZE on every platform (default: 4096).
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   VERDATE        : force haproxy's release date.

#### Installation options.
DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specifc target OS among the
# following list (use the default "generic" if uncertain) :
#    generic, linux22, linux24, linux24e, linux26, solaris,
#    freebsd, openbsd, cygwin, custom, aix51, aix52
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, custom
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
# GCC is normally used both for compiling and linking.
CC = gcc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings. -fno-strict-aliasing is needed with
# gcc >= 4.4.
SPEC_CFLAGS = -fno-strict-aliasing

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :
#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
SMALL_OPTS =

#### Debug settings
# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
# Currently defined DEBUG macros include DEBUG_FULL, DEBUG_MEMORY, DEBUG_FSM,
# DEBUG_HASH and DEBUG_AUTH. Please check sources for exact meaning or do not
# use at all.
DEBUG =

#### Trace options
# Use TRACE=1 to trace function calls to file "trace.out" or to stderr if not
# possible.
TRACE =

#### Additional include and library dirs
# Redefine this if you want to add some special PATH to include/libs
ADDINC =
ADDLIB =

#### Specific macro definitions
# Use DEFINE=-Dxxx to set any tunable macro. Anything declared here will appear
# in the build options reported by "haproxy -vv". Use SILENT_DEFINE if you do
# not want to pollute the report with complex defines.
# The following settings might be of interest when SSL is enabled :
#   LISTEN_DEFAULT_CIPHERS is a cipher suite string used to set the default SSL
#           ciphers on "bind" lines instead of using OpenSSL's defaults.
#   CONNECT_DEFAULT_CIPHERS is a cipher suite string used to set the default
#           SSL ciphers on "server" lines instead of using OpenSSL's defaults.
DEFINE =
SILENT_DEFINE =

#### extra programs to build (eg: haproxy-systemd-wrapper)
# Force this to enable building extra programs or to disable them.
# It's automatically appended depending on the targets.
EXTRA =

#### CPU dependant optimizations
# Some CFLAGS are set by default depending on the target CPU. Those flags only
# feed CPU_CFLAGS, which in turn feed CFLAGS, so it is not mandatory to use
# them. You should not have to change these options. Better use CPU_CFLAGS or
# even CFLAGS instead.
CPU_CFLAGS.generic    = -O2
CPU_CFLAGS.native     = -O2 -march=native
CPU_CFLAGS.i586       = -O2 -march=i586
CPU_CFLAGS.i686       = -O2 -march=i686
CPU_CFLAGS.ultrasparc = -O6 -mcpu=v9 -mtune=ultrasparc
CPU_CFLAGS            = $(CPU_CFLAGS.$(CPU))

#### ARCH dependant flags, may be overriden by CPU flags
ARCH_FLAGS.32     = -m32
ARCH_FLAGS.64     = -m64
ARCH_FLAGS.i386   = -m32 -march=i386
ARCH_FLAGS.i486   = -m32 -march=i486
ARCH_FLAGS.i586   = -m32 -march=i586
ARCH_FLAGS.i686   = -m32 -march=i686
ARCH_FLAGS.x86_64 = -m64 -march=x86-64
ARCH_FLAGS        = $(ARCH_FLAGS.$(ARCH))

#### Common CFLAGS
# These CFLAGS contain general optimization options, CPU-specific optimizations
# and debug flags. They may be overridden by some distributions which prefer to
# set all of them at once instead of playing with the CPU and DEBUG variables.
CFLAGS = $(ARCH_FLAGS) $(CPU_CFLAGS) $(DEBUG_CFLAGS) $(SPEC_CFLAGS)

#### Common LDFLAGS
# These LDFLAGS are used as the first "ld" options, regardless of any library
# path or any other option. They may be changed to add any linker-specific
# option at the beginning of the ld command line.
LDFLAGS = $(ARCH_FLAGS) -g

#### Target system options
# Depending on the target platform, some options are set, as well as some
# CFLAGS and LDFLAGS. The USE_* values are set to "implicit" so that they are
# not reported in the build options string. You should not have to change
# anything there. poll() is always supported, unless explicitly disabled by
# passing USE_POLL="" on the make command line.
USE_POLL   = default

ifeq ($(TARGET),generic)
  # generic system target has nothing specific
  USE_POLL   = implicit
  USE_TPROXY = implicit
else
ifeq ($(TARGET),linux22)
  # This is for Linux 2.2
  USE_GETSOCKNAME = implicit
  USE_POLL        = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux24)
  # This is for standard Linux 2.4 with netfilter but without epoll()
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux24e)
  # This is for enhanced Linux 2.4 with netfilter and epoll() patch > 0.21
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_MY_EPOLL    = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
else
ifeq ($(TARGET),linux26)
  # This is for standard Linux 2.6 with netfilter and standard epoll()
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_FUTEX       = implicit
  EXTRA          += haproxy-systemd-wrapper
else
ifeq ($(TARGET),linux2628)
  # This is for standard Linux >= 2.6.28 with netfilter, epoll, tproxy and splice
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_LINUX_SPLICE= implicit
  USE_LINUX_TPROXY= implicit
  USE_ACCEPT4     = implicit
  USE_FUTEX       = implicit
  USE_CPU_AFFINITY= implicit
  ASSUME_SPLICE_WORKS= implicit
  EXTRA          += haproxy-systemd-wrapper
else
ifeq ($(TARGET),solaris)
  # This is for Solaris 8
  # We also enable getaddrinfo() which works since solaris 8.
  USE_POLL       = implicit
  TARGET_CFLAGS  = -fomit-frame-pointer -DFD_SETSIZE=65536 -D_REENTRANT
  TARGET_LDFLAGS = -lnsl -lsocket
  USE_TPROXY     = implicit
  USE_LIBCRYPT    = implicit

=== debian/changelog ===
haproxy (1.5.8-3~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze-backports-sloppy.
     + Depends on debhelper 7 instead of 9.
     + Don't depends on dh-systemd.
     + Don't build documentation.
     + Use /var/run instead of /run.
     + Don't use start-stop-daemon to kill (--pid isn't available).

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 May 2015 22:07:15 +0200

haproxy (1.5.8-3) unstable; urgency=medium

  * Remove RC4 from the default cipher string shipped in configuration.

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Feb 2015 11:29:23 +0100

haproxy (1.5.8-2) unstable; urgency=medium

  * Cherry-pick the following patches from 1.5.9 release:
      - 8a0b93bde77e BUG/MAJOR: sessions: unlink session from list on out
                                of memory
      - bae03eaad40a BUG/MEDIUM: pattern: don't load more than once a pattern
                                 list.
      - 93637b6e8503 BUG/MEDIUM: connection: sanitize PPv2 header length before
                                 parsing address information
      - 8ba50128832b BUG/MAJOR: frontend: initialize capture pointers earlier
      - 1f96a87c4e14 BUG/MEDIUM: checks: fix conflicts between agent checks and
                                 ssl healthchecks
      - 9bcc01ae2598 BUG/MEDIUM: ssl: force a full GC in case of memory shortage
      - 909514970089 BUG/MEDIUM: ssl: fix bad ssl context init can cause
                                 segfault in case of OOM.
  * Cherry-pick the following patches from future 1.5.10 release:
      - 1e89acb6be9b BUG/MEDIUM: payload: ensure that a request channel is
                                 available
      - bad3c6f1b6d7 BUG/MEDIUM: patterns: previous fix was incomplete

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Dec 2014 11:11:21 +0100

haproxy (1.5.8-1) unstable; urgency=medium

  * New upstream stable release including the following fixes:

     + BUG/MAJOR: buffer: check the space left is enough or not when input
                  data in a buffer is wrapped
     + BUG/MINOR: ssl: correctly initialize ssl ctx for invalid certificates
     + BUG/MEDIUM: tcp: don't use SO_ORIGINAL_DST on non-AF_INET sockets
     + BUG/MEDIUM: regex: fix pcre_study error handling
     + BUG/MEDIUM: tcp: fix outgoing polling based on proxy protocol
     + BUG/MINOR: log: fix request flags when keep-alive is enabled
     + BUG/MAJOR: cli: explicitly call cli_release_handler() upon error
     + BUG/MEDIUM: http: don't dump debug headers on MSG_ERROR
  * Also includes the following new features:
     + MINOR: ssl: add statement to force some ssl options in global.
     + MINOR: ssl: add fetchs 'ssl_c_der' and 'ssl_f_der' to return DER
              formatted certs
  * Disable SSLv3 in the default configuration file.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Oct 2014 13:48:19 +0100

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev, libssl-dev
Homepage: http://haproxy.1wt.eu/
Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, haproxy (= ${binary:Version})
Description: fast and reliable load balancing reverse proxy (debug symbols)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the debugging symbols for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE=1 PCREDIR= \
	 USE_OPENSSL=1 \
	 USE_ZLIB=1

OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(OS_TYPE),linux)
        MAKEARGS+= TARGET=linux2628
else ifeq ($(OS_TYPE),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),i386)
	MAKEARGS+= USE_REGPARM=1
endif

MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	make $(MAKEARGS)
	make -C contrib/systemd $(MAKEARGS)
	dh_auto_build -Dcontrib/halog

override_dh_auto_clean:
	make -C contrib/systemd clean
	dh_auto_clean
	dh_auto_clean -Dcontrib/halog
	-rm $(CURDIR)/doc/configuration.html

override_dh_auto_install:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-fr.txt
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-en.txt

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=haproxy-dbg

## haproxy 1.5.10

=== debian/changelog ===
haproxy (1.5.10-1ubuntu0.1) vivid-security; urgency=medium

  * SECURITY UPDATE: information disclosure via uninitialized memory
    - debian/patches/CVE-2015-3281.patch: respect output data in
      src/buffer.c.
    - CVE-2015-3281

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Jul 2015 16:19:52 -0400

haproxy (1.5.10-1) experimental; urgency=medium

  * New upstream stable release including the following fixes:
      - BUG/MAJOR: stream-int: properly check the memory allocation return
      - BUG/MEDIUM: sample: fix random number upper-bound
      - BUG/MEDIUM: patterns: previous fix was incomplete
      - BUG/MEDIUM: payload: ensure that a request channel is available
      - BUG/MEDIUM: tcp-check: don't rely on random memory contents
      - BUG/MEDIUM: tcp-checks: disable quick-ack unless next rule is an expect
      - BUG/MEDIUM: config: do not propagate processes between stopped
                    processes
      - BUG/MEDIUM: memory: fix freeing logic in pool_gc2()
      - BUG/MEDIUM: compression: correctly report zlib_mem
  * Upload to experimental.

 -- Vincent Bernat <bernat@debian.org>  Sun, 04 Jan 2015 13:17:56 +0100

haproxy (1.5.9-1) experimental; urgency=medium

  * New upstream stable release including the following fixes:
      - BUG/MAJOR: sessions: unlink session from list on out
                   of memory
      - BUG/MEDIUM: pattern: don't load more than once a pattern
                    list.
      - BUG/MEDIUM: connection: sanitize PPv2 header length before
                    parsing address information
      - BUG/MAJOR: frontend: initialize capture pointers earlier
      - BUG/MEDIUM: checks: fix conflicts between agent checks and
                    ssl healthchecks
      - BUG/MEDIUM: ssl: force a full GC in case of memory shortage
      - BUG/MEDIUM: ssl: fix bad ssl context init can cause
                                 segfault in case of OOM.
  * Upload to experimental.

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Dec 2014 16:37:36 +0100

## haproxy 1.5.12

=== debian/changelog ===
haproxy (1.5.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 May 2015 23:40:22 +0200

haproxy (1.5.12-1) unstable; urgency=medium

  * New upstream stable release including the following fixes:
    - BUG/MAJOR: http: don't read past buffer's end in http_replace_value
    - BUG/MAJOR: http: prevent risk of reading past end with balance
                 url_param
    - BUG/MEDIUM: Do not consider an agent check as failed on L7 error
    - BUG/MEDIUM: patern: some entries are not deleted with case
                  insensitive match
    - BUG/MEDIUM: buffer: one byte miss in buffer free space check
    - BUG/MEDIUM: http: thefunction "(req|res)-replace-value" doesn't
                  respect the HTTP syntax
    - BUG/MEDIUM: peers: correctly configure the client timeout
    - BUG/MEDIUM: http: hdr_cnt would not count any header when called
                  without name
    - BUG/MEDIUM: listener: don't report an error when resuming unbound
                  listeners
    - BUG/MEDIUM: init: don't limit cpu-map to the first 32 processes only
    - BUG/MEDIUM: stream-int: always reset si->ops when si->end is
                  nullified
    - BUG/MEDIUM: http: remove content-length from chunked messages
    - BUG/MEDIUM: http: do not restrict parsing of transfer-encoding to
                  HTTP/1.1
    - BUG/MEDIUM: http: incorrect transfer-coding in the request is a bad
                  request
    - BUG/MEDIUM: http: remove content-length form responses with bad
                  transfer-encoding
    - BUG/MEDIUM: http: wait for the exact amount of body bytes in
                  wait_for_request_body

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 May 2015 16:38:28 +0200

haproxy (1.5.11-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Apr 2015 17:46:58 +0200

haproxy (1.5.11-1) experimental; urgency=medium

  * New upstream stable release including the following fixes:
    - BUG/MAJOR: log: don't try to emit a log if no logger is set
    - BUG/MEDIUM: backend: correctly detect the domain when
                  use_domain_only is used
    - BUG/MEDIUM: Do not set agent health to zero if server is disabled
                  in config
    - BUG/MEDIUM: Only explicitly report "DOWN (agent)" if the agent health
                  is zero
    - BUG/MEDIUM: http: fix header removal when previous header ends with
                  pure LF
    - BUG/MEDIUM: channel: fix possible integer overflow on reserved size
                  computation
    - BUG/MEDIUM: channel: don't schedule data in transit for leaving until
                  connected
    - BUG/MEDIUM: http: make http-request set-header compute the string
                  before removal
  * Upload to experimental.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Feb 2015 09:22:27 +0100

## haproxy 1.5.14

=== debian/changelog ===
haproxy (1.5.14-1ubuntu0.15.10.1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1494141)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 08 Feb 2016 15:09:20 +0000

haproxy (1.5.14-1ubuntu0.15.10.1) wily; urgency=medium

  * Ensure that haproxy processes are terminated correctly when executing
    stop/restart operations, easing backports to pre-systemd versions of
    Ubuntu (LP: #1477198, #1481737).

 -- James Page <james.page@ubuntu.com>  Mon, 09 Nov 2015 16:51:46 +0000

haproxy (1.5.14-1) unstable; urgency=high

  * New upstream version. Fix an information leak (CVE-2015-3281):
    - BUG/MAJOR: buffers: make the buffer_slow_realign() function
                 respect output data.
  * Add $named as a dependency for init script. Closes: #790638.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Jul 2015 19:49:02 +0200

haproxy (1.5.13-1) unstable; urgency=medium

  * New upstream stable release including the following fixes:
    - MAJOR: peers: allow peers section to be used with nbproc > 1
    - BUG/MAJOR: checks: always check for end of list before proceeding
    - MEDIUM: ssl: replace standards DH groups with custom ones
    - BUG/MEDIUM: ssl: fix tune.ssl.default-dh-param value being overwritten
    - BUG/MEDIUM: cfgparse: segfault when userlist is misused
    - BUG/MEDIUM: stats: properly initialize the scope before dumping stats
    - BUG/MEDIUM: http: don't forward client shutdown without NOLINGER
                  except for tunnels
    - BUG/MEDIUM: checks: do not dereference head of a tcp-check at the end
    - BUG/MEDIUM: checks: do not dereference a list as a tcpcheck struct
    - BUG/MEDIUM: peers: apply a random reconnection timeout
    - BUG/MEDIUM: config: properly compute the default number of processes
                  for a proxy

 -- Vincent Bernat <bernat@debian.org>  Sat, 27 Jun 2015 20:52:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev, libssl-dev
+Build-Depends: debhelper (>= 9), libpcre3-dev, libssl-dev,
+               dh-systemd (>= 1.5)
+Build-Depends-Indep: python, python-mako
 Homepage: http://haproxy.1wt.eu/
 Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
@@ -36,6 +39,20 @@
  .
  This package contains the debugging symbols for haproxy.
 
+Package: haproxy-doc
+Section: doc
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, libjs-twitter-bootstrap (<< 3), libjs-jquery
+Description: fast and reliable load balancing reverse proxy (HTML documentation)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the HTML documentation for haproxy.
+
 Package: vim-haproxy
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,22 @@
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_configure:
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	make $(MAKEARGS)
 	make -C contrib/systemd $(MAKEARGS)
 	dh_auto_build -Dcontrib/halog
+
+override_dh_auto_build-indep:
+	# Build the HTML documentation, after patching dconv
+	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
+	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+		-i $(CURDIR)/doc/configuration.txt \
+		-o $(CURDIR)/doc/configuration.html
+	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
 
 override_dh_auto_clean:
 	make -C contrib/systemd clean
@@ -44,10 +52,12 @@
 	dh_auto_clean -Dcontrib/halog
 	-rm $(CURDIR)/doc/configuration.html
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	make $(MAKEARGS) install
 	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
 	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
+
+override_dh_auto_install-indep:
 
 override_dh_installdocs:
 	dh_installdocs -Xsystemd/ -Xhalog/

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" http://haproxy.1wt.eu/download/1.5/src/ haproxy-(1\.5\.\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 1.6.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 #
 # Valid USE_* options are the following. Most of them are automatically set by
 # the TARGET, others have to be explictly specified :
-#   USE_CTTPROXY         : enable CTTPROXY on Linux (needs kernel patch).
 #   USE_DLMALLOC         : enable use of dlmalloc (see DLMALLOC_SRC)
 #   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
 #   USE_GETSOCKNAME      : enable getsockname() on Linux 2.2. Automatic.
@@ -28,12 +27,18 @@
 #   USE_VSYSCALL         : enable vsyscall on Linux x86, bypassing libc
 #   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
 #   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
+#   USE_LUA              : enable Lua support.
 #   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
 #   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
 #   USE_MY_ACCEPT4       : use own implemention of accept4() if glibc < 2.10.
 #   USE_ZLIB             : enable zlib library support.
+#   USE_SLZ              : enable slz library instead of zlib (pick at most one).
 #   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
 #   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
+#   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
+#   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
+#   USE_DEVICEATLAS      : enable DeviceAtlas api.
+#   USE_51DEGREES        : enable third party device detection library from 51Degrees
 #
 # Options can be forced by specifying "USE_xxx=1" or can be disabled by using
 # "USE_xxx=" (empty string).
@@ -73,6 +78,10 @@
 #   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
 #   SSL_LIB        : force the lib path to libssl/libcrypto
 #   SSL_INC        : force the include path to libssl/libcrypto
+#   LUA_LIB        : force the lib path to lua
+#   LUA_INC        : force the include path to lua
+#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
+#                                        priority : lua5.3, lua53, lua).
 #   IGNOREGIT      : ignore GIT commit versions if set.
 #   VERSION        : force haproxy version reporting.
 #   SUBVERS        : add a sub-version (eg: platform, model, ...).
@@ -89,7 +98,7 @@
 # Use TARGET=<target_name> to optimize for a specifc target OS among the
 # following list (use the default "generic" if uncertain) :
 #    generic, linux22, linux24, linux24e, linux26, solaris,
-#    freebsd, openbsd, cygwin, custom, aix51, aix52
+#    freebsd, openbsd, netbsd, cygwin, custom, aix51, aix52
 TARGET =
 
 #### TARGET CPU
@@ -117,7 +126,7 @@
 #### Compiler-specific flags that may be used to disable some negative over-
 # optimization or to silence some warnings. -fno-strict-aliasing is needed with
 # gcc >= 4.4.
-SPEC_CFLAGS = -fno-strict-aliasing
+SPEC_CFLAGS = -fno-strict-aliasing -Wdeclaration-after-statement
 
 #### Memory usage tuning
 # If small memory footprint is required, you can reduce the buffer size. There
@@ -217,6 +226,7 @@
   USE_POLL        = implicit
   USE_TPROXY      = implicit
   USE_LIBCRYPT    = implicit
+  USE_DL          = implicit
 else
 ifeq ($(TARGET),linux24)
   # This is for standard Linux 2.4 with netfilter but without epoll()
@@ -225,6 +235,7 @@
   USE_POLL        = implicit
   USE_TPROXY      = implicit
   USE_LIBCRYPT    = implicit
+  USE_DL          = implicit
 else
 ifeq ($(TARGET),linux24e)
   # This is for enhanced Linux 2.4 with netfilter and epoll() patch > 0.21
@@ -235,6 +246,7 @@
   USE_MY_EPOLL    = implicit
   USE_TPROXY      = implicit
   USE_LIBCRYPT    = implicit
+  USE_DL          = implicit
 else
 ifeq ($(TARGET),linux26)
   # This is for standard Linux 2.6 with netfilter and standard epoll()
@@ -246,28 +258,6 @@
   USE_LIBCRYPT    = implicit
   USE_FUTEX       = implicit
   EXTRA          += haproxy-systemd-wrapper
+  USE_DL          = implicit
 else
 ifeq ($(TARGET),linux2628)
-  # This is for standard Linux >= 2.6.28 with netfilter, epoll, tproxy and splice
-  USE_GETSOCKNAME = implicit
-  USE_NETFILTER   = implicit
-  USE_POLL        = implicit
-  USE_EPOLL       = implicit
-  USE_TPROXY      = implicit
-  USE_LIBCRYPT    = implicit
-  USE_LINUX_SPLICE= implicit
-  USE_LINUX_TPROXY= implicit
-  USE_ACCEPT4     = implicit
-  USE_FUTEX       = implicit
-  USE_CPU_AFFINITY= implicit
-  ASSUME_SPLICE_WORKS= implicit
-  EXTRA          += haproxy-systemd-wrapper
-else
-ifeq ($(TARGET),solaris)
-  # This is for Solaris 8
-  # We also enable getaddrinfo() which works since solaris 8.
-  USE_POLL       = implicit
-  TARGET_CFLAGS  = -fomit-frame-pointer -DFD_SETSIZE=65536 -D_REENTRANT
-  TARGET_LDFLAGS = -lnsl -lsocket
-  USE_TPROXY     = implicit
-  USE_LIBCRYPT    = implicit

=== debian/changelog ===
haproxy (1.6.3-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Messages with transfer-encoding header missing "chunked"
    value were not being correctly rejected
    - debian/patches/CVE-2019-18277.patch: also reject messages where
      "chunked" is missing from transfer-enoding in.
      src/proto_http.c.
    - CVE-2019-18277

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 25 Oct 2019 13:12:29 -0300

haproxy (1.6.3-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2018-20102.patch: check the bounds
      in src/dns.c.
    - CVE-2018-20102

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 11 Jan 2019 10:34:44 -0300

haproxy (1.6.3-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service via reqdeny
    - debian/patches/CVE-2016-5360.patch: use temporary variable to store
      status in include/types/proto_http.h, src/proto_http.c.
    - CVE-2016-5360

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jun 2016 09:35:08 +0300

haproxy (1.6.3-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * haproxy.init: use s-s-d's --pidfile option.
    Thanks to Louis Bouchard (Closes: 804530)

  [ Vincent Bernat ]
  * watch: fix d/watch to look for 1.6 version
  * Imported Upstream version 1.6.3

 -- Vincent Bernat <bernat@debian.org>  Thu, 31 Dec 2015 08:10:10 +0100

haproxy (1.6.2-2) unstable; urgency=medium

  * Enable USE_REGPARM on amd64 as well.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Nov 2015 21:21:30 +0100

haproxy (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: dns: first DNS response packet not matching queried
                      hostname may lead to a loop
    - BUG/MAJOR: http: don't requeue an idle connection that is already
                       queued
  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Nov 2015 13:36:22 +0100

haproxy (1.6.1-2) experimental; urgency=medium

  * Build the Lua manpage in -arch, fixes FTBFS in binary-only builds.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 22 Oct 2015 12:19:41 +0300

haproxy (1.6.1-1) experimental; urgency=medium

  [ Vincent Bernat ]
  * New upstream release.
    - BUG/MAJOR: ssl: free the generated SSL_CTX if the LRU cache is
                      disabled
  * Drop 0001-BUILD-install-only-relevant-and-existing-documentati.patch.

  [ Apollon Oikonomopoulos ]
  * Ship and generate Lua API documentation.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Oct 2015 10:45:55 +0200

haproxy (1.6.0+ds1-1) experimental; urgency=medium

  * New upstream release!
  * Add a patch to fix documentation installation:
    + 0001-BUILD-install-only-relevant-and-existing-documentati.patch
  * Update HAProxy documentation converter to a more recent version.

 -- Vincent Bernat <bernat@debian.org>  Wed, 14 Oct 2015 17:29:19 +0200

haproxy (1.6~dev7-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 06 Oct 2015 16:01:26 +0200

haproxy (1.6~dev5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Sep 2015 15:50:28 +0200

haproxy (1.6~dev4-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/copyright.

 -- Vincent Bernat <bernat@debian.org>  Sun, 30 Aug 2015 23:54:10 +0200

haproxy (1.6~dev3-1) experimental; urgency=medium

  * New upstream release.
  * Enable Lua support.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Aug 2015 17:51:29 +0200

haproxy (1.5.15-1) unstable; urgency=medium

  * New upstream stable release including the following fix:
    - BUG/MAJOR: http: don't call http_send_name_header() after an error

 -- Vincent Bernat <bernat@debian.org>  Mon, 02 Nov 2015 07:34:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
-           Prach Pongpanich <prachpub@gmail.com>,
+           Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libpcre3-dev, libssl-dev,
-               dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 9),
+               libpcre3-dev,
+               libssl-dev,
+               liblua5.3-dev,
+               dh-systemd (>= 1.5),
+               python-sphinx (>= 1.0.7+dfsg)
 Build-Depends-Indep: python, python-mako
 Homepage: http://haproxy.1wt.eu/
 Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
@@ -43,7 +47,8 @@
 Section: doc
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, libjs-twitter-bootstrap (<< 3), libjs-jquery
+Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
+ ${sphinxdoc:Depends}
 Description: fast and reliable load balancing reverse proxy (HTML documentation)
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
  availability environments. It features connection persistence through HTTP

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	 DOCDIR=/usr/share/doc/haproxy \
 	 USE_PCRE=1 PCREDIR= \
 	 USE_OPENSSL=1 \
-	 USE_ZLIB=1
+	 USE_ZLIB=1 \
+	 USE_LUA=1 \
+	 LUA_INC=/usr/include/lua5.3
 
 OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -21,7 +23,9 @@
 	MAKEARGS+= TARGET=generic
 endif
 
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),i386)
+ifneq ($(filter amd64 i386, $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)),)
+	MAKEARGS+= USE_REGPARM=1
+else ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),amd64)
 	MAKEARGS+= USE_REGPARM=1
 endif
 
@@ -29,7 +33,7 @@
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 
 %:
-	dh $@ --with systemd
+	dh $@ --with systemd,sphinxdoc
 
 override_dh_auto_configure:
 
@@ -37,6 +41,7 @@
 	make $(MAKEARGS)
 	make -C contrib/systemd $(MAKEARGS)
 	dh_auto_build -Dcontrib/halog
+	$(MAKE) -C doc/lua-api man
 
 override_dh_auto_build-indep:
 	# Build the HTML documentation, after patching dconv
@@ -44,13 +49,17 @@
 	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
 		-i $(CURDIR)/doc/configuration.txt \
 		-o $(CURDIR)/doc/configuration.html
+	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+		-i $(CURDIR)/doc/intro.txt \
+		-o $(CURDIR)/doc/intro.html
 	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
+	$(MAKE) -C doc/lua-api html
 
 override_dh_auto_clean:
 	make -C contrib/systemd clean
+	$(MAKE) -C doc/lua-api clean
 	dh_auto_clean
 	dh_auto_clean -Dcontrib/halog
-	-rm $(CURDIR)/doc/configuration.html
 
 override_dh_auto_install-arch:
 	make $(MAKEARGS) install
@@ -61,8 +70,6 @@
 
 override_dh_installdocs:
 	dh_installdocs -Xsystemd/ -Xhalog/
-	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-fr.txt
-	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-en.txt
 
 override_dh_installexamples:
 	dh_installexamples -X build.cfg

## haproxy 1.6.4

=== debian/changelog ===
haproxy (1.6.4-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    + Restore haproxy-dbg package.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Mar 2016 20:43:50 +0100

haproxy (1.6.4-3) unstable; urgency=medium

  * d/init: remove support for dynamic script name. This enable haproxy to
    be started on boot.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Mar 2016 20:36:08 +0100

haproxy (1.6.4-2) unstable; urgency=medium

  * d/init: fix SysV init script w/ respect to handling EXTRAOPTS on check.
  * d/control: add Pre-Depends for dpkg-maintscript-helper support of
    dir_to_symlink.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Mar 2016 16:35:20 +0100

haproxy (1.6.4-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: http-reuse: fix risk of orphaned connections.
    + BUG/MAJOR: lua: applets can't sleep.
    + BUG/MAJOR: samples: check smp->strm before using it. 
    + BUG/MAJOR: servers state: server port is erased when dns resolution is
      enabled on a server.
    + BUG/MAJOR: vars: always retrieve the stream and session from the sample
    + BUG/MEDIUM: buffers: do not round up buffer size during allocation
    + BUG/MEDIUM: dns: no DNS resolution happens if no ports provided to the
      nameserver
    + BUG/MEDIUM: servers state: server port is used uninitialized
    + BUG/MEDIUM: config: Adding validation to stick-table expire value.
    + BUG/MEDIUM: sample: http_date() doesn't provide the right day of the
      week
    + BUG/MEDIUM: channel: fix miscalculation of available buffer space.
    + BUG/MEDIUM: http-reuse: do not share private connections across backends
    + BUG/MEDIUM: ssl: fix off-by-one in ALPN list allocation
    + BUG/MEDIUM: ssl: fix off-by-one in NPN list allocation
    + BUG/MEDIUM: stats: stats bind-process doesn't propagate the process mask
      correctly
    + BUG/MEDIUM: chunks: always reject negative-length chunks
    + BUG/MEDIUM: cfgparse: wrong argument offset after parsing server "sni"
      keyword

  [ Vincent Bernat ]
  * haproxy.init: append ${EXTRAOPTS} when verifying configuration file.
  * haproxy.init: move EXTRAOPTS after all other parameters.
  * haproxy.init: management of multiple HAProxy instances with SysV
    init.d script, courtesy of Ivan Savcic.

  [ Apollon Oikonomopoulos ]
  * Bump standards to 3.9.7:
    + haproxy-doc: move the additional documentation from
      /usr/share/doc/haproxy-doc to /usr/share/doc/haproxy, as per the
      recommendation in Policy §12.3.
    + Add compatibility symlinks from /usr/share/doc/haproxy-doc to
      /usr/share/doc/haproxy.
  * Enable all hardening flags.
  * d/control: use HTTPS for Vcs-*
  * Use www.haproxy.org as the project's homepage in d/control and
    d/copyright.
  * d/copyright: adjust debian/* years.
  * Add basic DEP-8 tests.
  * Drop the haproxy-dbg binary package in favor of ddebs.
  * haproxy-doc:
    + Use dpkg-maintscript-helper dir_to_symlink for the compatibility
      symlinks.
    + Add Lua documentation doc-base entry.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 15 Mar 2016 21:04:11 +0200

haproxy (1.6.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Jan 2016 19:32:45 +0100

haproxy (1.5.14-1~bpo8+1) jessie-backports; urgency=high

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Jul 2015 07:48:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
                libpcre3-dev,
                libssl-dev,
@@ -14,13 +13,14 @@
                dh-systemd (>= 1.5),
                python-sphinx (>= 1.0.7+dfsg)
 Build-Depends-Indep: python, python-mako
-Homepage: http://haproxy.1wt.eu/
-Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
+Homepage: http://www.haproxy.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
 
 Package: haproxy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Pre-Depends: dpkg (>= 1.17.14)
 Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
@@ -49,6 +49,7 @@
 Architecture: all
 Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
  ${sphinxdoc:Depends}
+Pre-Depends: dpkg (>= 1.17.14)
 Description: fast and reliable load balancing reverse proxy (HTML documentation)
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
  availability environments. It features connection persistence through HTTP
